OpenVDB 13.0.0

Loading...
Searching...
No Matches
Exceptions.h File Reference
`#include "version.h"`
`#include <exception>`
`#include <sstream>`
`#include <string>`

Go to the source code of this file.

## Classes
class | Exception
class | ArithmeticError
class | IndexError
class | IoError
class | KeyError
class | LookupError
class | NotImplementedError
class | ReferenceError
class | RuntimeError
class | TypeError
class | ValueError

## Namespaces
namespace | openvdb
namespace | openvdb::v13_0

## Macros
#define | OPENVDB_EXCEPTION(_classname)
#define | OPENVDB_THROW(exception, message)

## Macro Definition Documentation

## ◆ OPENVDB_EXCEPTION

#define OPENVDB_EXCEPTION | ( |  | _classname | ) |

Value:
class OPENVDB_API _classname: public Exception \
{ \
public: \
_classname() noexcept: Exception( #_classname ) {} \
explicit _classname(const std::string& msg) noexcept: Exception( #_classname , &msg) {} \
}
OPENVDB_API
#define OPENVDB_API
Definition Platform.h:291

## ◆ OPENVDB_THROW

#define OPENVDB_THROW | ( |  | exception,
|  |  | message )

Value:
{ \
std::string _openvdb_throw_msg; \
try { \
std::ostringstream _openvdb_throw_os; \
_openvdb_throw_os << message; \
_openvdb_throw_msg = _openvdb_throw_os.str(); \
} catch (...) {} \
throw exception(_openvdb_throw_msg); \
}